> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate

> Creates a JWT token used for authentication from client credentials.



## OpenAPI

````yaml /swagger.json post /Authentication/Token
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /Authentication/Token:
    post:
      tags:
        - Authentication
      summary: Authenticate
      description: Creates a JWT token used for authentication from client credentials.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateTokenRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/GenerateTokenRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/GenerateTokenRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GenerateTokenResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateTokenResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/GenerateTokenResponse'
components:
  schemas:
    GenerateTokenRequest:
      type: object
      properties:
        clientId:
          type: string
        clientSecret:
          type: string
      additionalProperties: false
    GenerateTokenResponse:
      type: object
      properties:
        accessToken:
          type: string
        tokenType:
          type: string
        expiresInSeconds:
          type: integer
          format: int32
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````